Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpbKernelResult.php
Go to the documentation of this file.
1 <?php
14 class ezpbKernelResult
15 {
21 private $content;
22
28 private $attributes;
29
34 public function __construct( $content = null, array $defaultAttributes = array() )
35 {
36 $this->content = $content;
37 $this->attributes = $defaultAttributes;
38 }
39
45 public function setContent( $content )
46 {
47 $this->content = $content;
48 }
49
55 public function getContent()
56 {
57 return $this->content;
58 }
59
66 public function setAttribute( $name, $value )
67 {
68 $this->attributes[$name] = $value;
69 }
70
76 public function getAttribute( $name, $defaultValue = null )
77 {
78 return isset( $this->attributes[$name] ) ? $this->attributes[$name] : $defaultValue;
79 }
80
87 public function hasAttribute( $name )
88 {
89 return isset( $this->attributes[$name] );
90 }
91
97 public function getAttributes()
98 {
99 return $this->attributes;
100 }
101
107 public function setAttributes( array $attributes )
108 {
109 $this->attributes = $attributes + $this->attributes;
110 }
111
117 public function replaceAttributes( array $attributes )
118 {
119 $this->attributes = $attributes;
120 }
121 }
ezpbKernelResult
Definition: ezpbKernelResult.php:15
ezpbKernelResult\hasAttribute
hasAttribute( $name)
Definition: ezpbKernelResult.php:87
ezpbKernelResult\$attributes
$attributes
Definition: ezpbKernelResult.php:28
ezpbKernelResult\getAttribute
getAttribute( $name, $defaultValue=null)
Definition: ezpbKernelResult.php:76
ezpbKernelResult\setAttributes
setAttributes(array $attributes)
Definition: ezpbKernelResult.php:107
ezpbKernelResult\setAttribute
setAttribute( $name, $value)
Definition: ezpbKernelResult.php:66
ezpbKernelResult\getAttributes
getAttributes()
Definition: ezpbKernelResult.php:97
ezpbKernelResult\$content
$content
Definition: ezpbKernelResult.php:21
ezpbKernelResult\getContent
getContent()
Definition: ezpbKernelResult.php:55
ezpbKernelResult\__construct
__construct( $content=null, array $defaultAttributes=array())
Definition: ezpbKernelResult.php:34
ezpbKernelResult\setContent
setContent( $content)
Definition: ezpbKernelResult.php:45
ezpbKernelResult\replaceAttributes
replaceAttributes(array $attributes)
Definition: ezpbKernelResult.php:117
$name
$name
Definition: companytypelist.php:194
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.